Loading...
Searching...
No Matches
juce::universal_midi_packets::Dispatcher Class Reference

`#include <juce_UMPDispatcher.h>`

## Public Member Functions

void | reset ()
template<typename PacketCallbackFunction>
void | dispatch (const uint32_t *begin, const uint32_t *end, double timeStamp, PacketCallbackFunction &&callback)

## Detailed Description

Parses a raw stream of uint32_t, and calls a user-provided callback every time a full Universal MIDI Packet is encountered.

Definition at line 34 of file juce_UMPDispatcher.h.

## Member Function Documentation

## dispatch()

template<typename PacketCallbackFunction>

void juce::universal_midi_packets::Dispatcher::dispatch | ( | const uint32_t * | begin,
|  | const uint32_t * | end,
|  | double | timeStamp,
|  | PacketCallbackFunction && | callback )

inline

Calls callback with a View of each packet encountered in the range delimited by begin and end.

If the range ends part-way through a packet, the next call to dispatch will continue from that point in the packet (unless reset is called first).

Definition at line 47 of file juce_UMPDispatcher.h.

## reset()

void juce::universal_midi_packets::Dispatcher::reset | ( |  | ) |

inline

Clears the dispatcher.

Definition at line 38 of file juce_UMPDispatcher.h.

The documentation for this class was generated from the following file:

- juce_UMPDispatcher.h